Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	cross platform implementation of zeroconf
Name:      	howl
Version:   	1.0.0
Release:   	1
License:   	Porchdog
URL:	   	http://www.porchdogsoft.com/products/howl/
Group:     	Networking/Library
Source0:   	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Howl is a cross-platform implementation of Zeroconf networking. Zeroconf brings a new ease of use to IP networking.
Branded as Bonjour? by Apple Computer, Inc., Zeroconf standardizes networking protocols for delivering hassle-free ad-hoc networking, service discovery and IP configuration. This ease of use, enjoyed by users of Mac OS X, is now available as an SDK for Windows 2000/XP and many flavors of Unix. Howl allows software developers to easily embed Zeroconf functionality in their applications, making cumbersome and error-prone network configuration tasks seem so five minutes ago. Give your users what they want. Give them simple, elegant networking. Give them Howl.
 
 
Howl is open-source and royalty-free. We ask only that any fixes or improvements you make are fed back to us so we can ensure that we provide the most stable, best-quality cross-platform software for Zeroconf/Bonjour networking.

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig
 
%preun 

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
            --mandir=%_mandir \
            --infodir=%_infodir \
            --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_datadir/howl
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Initial Release
